MidiEvent struct Reference (libkmid Library)

| # libkmid Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# MidiEvent Struct Reference

An structure that represents a MIDI event. Represents a MIDI event. More...

`#include <track.h>`

List of all members.

## Public Attributes
uchar | command
| MIDI Command.
uchar | chn
| Channel.
uchar | note
| Note.
uchar | vel
| Velocity.
uchar | patch
| Patch (if command was a change patch command).
uchar | ctl
| Patch (if command was a controller command).
uchar | d1
| Data 1.
uchar | d2
| Data 2.
uchar | d3
| Data 3.
uchar | d4
| Data 4.
uchar | d5
| Data 5.
uchar | d6
| Data 6.
ulong | length
| Length of the generic data variable.
uchar * | data
| The data for commands like text, sysex, etc.

## Detailed Description

An structure that represents a MIDI event. Represents a MIDI event.

Version:
  0.9.5 17/01/2000

Author:
  Antonio Larrosa Jimenez <larrosa@kde.org>

Definition at line 37 of file track.h.

## Member Data Documentation

uchar MidiEvent::command

| MIDI Command. Caution, if a command doesn't use a variable, it may contain garbage. Definition at line 44 of file track.h. Referenced by MidiPlayer::play(), MidiTrack::readEvent(), and MidiPlayer::setPos().

uchar MidiEvent::chn

| Channel. Definition at line 49 of file track.h. Referenced by MidiPlayer::play(), MidiTrack::readEvent(), and MidiPlayer::setPos().

uchar MidiEvent::note

| Note. Definition at line 54 of file track.h. Referenced by MidiPlayer::play(), and MidiTrack::readEvent().

uchar MidiEvent::vel

| Velocity. Definition at line 59 of file track.h. Referenced by MidiPlayer::play(), MidiTrack::readEvent(), and MidiPlayer::setPos().

uchar MidiEvent::patch

| Patch (if command was a change patch command). Definition at line 64 of file track.h. Referenced by MidiPlayer::play(), MidiTrack::readEvent(), and MidiPlayer::setPos().

uchar MidiEvent::ctl

| Patch (if command was a controller command). Definition at line 69 of file track.h. Referenced by MidiPlayer::play(), MidiTrack::readEvent(), and MidiPlayer::setPos().

uchar MidiEvent::d1

| Data 1. Definition at line 74 of file track.h. Referenced by MidiPlayer::play(), MidiTrack::readEvent(), and MidiPlayer::setPos().

uchar MidiEvent::d2

| Data 2. Definition at line 79 of file track.h. Referenced by MidiPlayer::play(), MidiTrack::readEvent(), and MidiPlayer::setPos().

uchar MidiEvent::d3

| Data 3. Definition at line 84 of file track.h. Referenced by MidiPlayer::play(), MidiTrack::readEvent(), and MidiPlayer::setPos().

uchar MidiEvent::d4

| Data 4. Definition at line 89 of file track.h. Referenced by MidiTrack::readEvent().

uchar MidiEvent::d5

| Data 5. Definition at line 94 of file track.h. Referenced by MidiTrack::readEvent().

uchar MidiEvent::d6

| Data 6. Definition at line 99 of file track.h.

ulong MidiEvent::length

| Length of the generic data variable. Definition at line 104 of file track.h. Referenced by MidiTrack::readEvent().

uchar* MidiEvent::data

| The data for commands like text, sysex, etc. Definition at line 109 of file track.h. Referenced by MidiPlayer::play(), MidiTrack::readEvent(), and MidiPlayer::setPos().

The documentation for this struct was generated from the following file:

- track.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:28:38 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001